# Uses of Interface
org.w3c.tidy.StreamIn

Packages that use StreamIn
Package
Description
org.w3c.tidy

## Uses of StreamIn in org.w3c.tidy

Classes in org.w3c.tidy that implement StreamIn
Modifier and Type
Class
Description
`class`
`StreamInJavaImpl`
StreamIn Implementation using java writers.
Fields in org.w3c.tidy declared as StreamIn
Modifier and Type
Field
Description
`protected StreamIn`
Lexer.`in`
file stream.
Methods in org.w3c.tidy that return StreamIn
Modifier and Type
Method
Description
`static StreamIn`
StreamInFactory.`getStreamIn(Configuration config, InputStream stream)`
Returns the appropriate StreamIn implementation.
`static StreamIn`
StreamInFactory.`getStreamIn(Configuration config, Reader reader)`
Returns the appropriate StreamIn implementation.
Constructors in org.w3c.tidy with parameters of type StreamIn
Modifier
Constructor
Description
``
`Lexer(StreamIn in, Configuration configuration, Report report)`
Instantiates a new Lexer.